Creates a new db report
Request Information
URI Parameters :
None.
Body Parameters :
db_report| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_report_type_id |
db report type id |
globally unique identifier |
Required |
| user_id |
Created user id |
globally unique identifier | |
| company_id |
The Final company that own this report (If WO Report, the company that owns the installation/project) |
globally unique identifier |
Optionally required : company_id,company_code or node company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating db_report |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating db_report |
company |
Optionally required : company_id, company_code or company must be provided |
| db_table_name |
TableName which db report linked to. Possible value are jobs or meeting |
string |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_id |
Table ID which db report linked to. |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id of the table which db report linked to |
globally unique identifier | |
| date_last_update |
Date last updated |
date | |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "2a44d6c3-2f9d-4103-bd8c-579e112c5398",
"db_report_type_id": "c20b3ce7-e7dc-454d-afc4-d2afb9ead6f1",
"user_id": "e8bf3d05-2c07-49fa-b845-494be6de8d51",
"company_id": "45931dcc-d609-4f5f-8422-4f6cf6947f26",
"company_code": "sample string 5",
"db_table_name": "sample string 6",
"db_table_id": "18c9a4cf-90c6-41cd-9340-4393beb5e5eb",
"id_in_table": "ff468b81-f55d-4640-a248-48b5c5f19838",
"date_last_update": "2026-10-10T05:09:40.1680499+00:00",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-10-10T05:09:40.1680499+00:00"
}
Response Information
Resource Description :
IHttpActionResult
db_report| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_report_type_id |
db report type id |
globally unique identifier |
Required |
| user_id |
Created user id |
globally unique identifier | |
| company_id |
The Final company that own this report (If WO Report, the company that owns the installation/project) |
globally unique identifier |
Optionally required : company_id,company_code or node company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating db_report |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating db_report |
company |
Optionally required : company_id, company_code or company must be provided |
| db_table_name |
TableName which db report linked to. Possible value are jobs or meeting |
string |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_id |
Table ID which db report linked to. |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id of the table which db report linked to |
globally unique identifier | |
| date_last_update |
Date last updated |
date | |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "94f1efa8-168b-458e-9125-075b80d6b35a",
"db_report_type_id": "abc62bab-d17b-4efc-9281-8b2efa5cbf1b",
"user_id": "05f0f6ef-3fb0-49e6-abf0-e8ccb86254a8",
"company_id": "df52e65b-261e-4bd9-a500-7f13250dc5d0",
"company_code": "sample string 5",
"db_table_name": "sample string 6",
"db_table_id": "1944018e-d441-414e-b883-793c6a7a6e62",
"id_in_table": "fb48bcc2-a778-4d98-b9d6-ff6480e0bf71",
"date_last_update": "2026-10-10T05:09:40.1680499+00:00",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-10-10T05:09:40.1680499+00:00"
}